#region Copyright
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Data.OleDb;
using System.Linq;
using System.Security.Permissions;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml;



public class ScheduleAppointmentsObjDatum
{

    [DataObjectMethod(DataObjectMethodType.Select)]
    public List<ScheduleAppointmentsObjData> GetRecords()
    {

        List<ScheduleAppointmentsObjData> list = new List<ScheduleAppointmentsObjData>();
        list.Add(new ScheduleAppointmentsObjData(100, "Bering Sea Gold", "chn", "05/02/2014 09:00:00 AM", "05/02/2014 10:30:00 AM", "", "1", "", true, "", "", "", "", false, "", "", "FREQ=DAILY;INTERVAL=2;COUNT=10",null,null));
        list.Add(new ScheduleAppointmentsObjData(101, "Bering Sea Gold", "mum", "05/02/2014 04:00:00 AM", "05/02/2014 05:00:00 AM", "", "3", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(102, "Bering Sea Gold", "trcy", "05/02/2014 04:00:00 PM", "05/02/2014 05:30:00 PM", "", "5", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(103, "What Happened Next?", "chn", "05/04/2014 03:00:00 AM", "05/04/2014 04:30:00 AM", "", "1", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(104, "Bering Sea Gold", "trcy", "05/04/2014 05:00:00 AM", "05/04/2014 05:40:00 AM", "", "3", "", false, "", "", "", "", false, "", "", "", null,null));
        list.Add(new ScheduleAppointmentsObjData(105, "Daily Planet", "chn", "05/03/2014 01:00:00 AM", "05/03/2014 02:00:00 AM", "", "5", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(106, "Alaska: The Last Frontier", "chn", "05/03/2014 08:00:00 AM", "05/03/2014 09:00:00 AM", "", "1", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(107, "How It's Made", "chn", "05/01/2014 06:00:00 AM", "05/01/2014 06:30:00 AM", "", "3", "", true, "", "", "", "", false, "", "", "FREQ=WEEKLY;BYDAY=MO,TU;INTERVAL=1;COUNT=15", null, null));
        list.Add(new ScheduleAppointmentsObjData(108, "Deadest Catch", "chn", "05/03/2014 04:00:00 PM", "05/03/2014 05:00:00 PM", "", "5", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(109, "MayDay", "chn", "04/30/2014 06:30:00 AM", "04/30/2014 07:30:00 AM", "", "1", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(110, "MoonShiners", "chn", "05/02/2014 02:00:00 AM", "05/02/2014 02:30:00 AM", "", "3", "", true, "", "", "", "", false, "", "", "FREQ=DAILY;INTERVAL=1;COUNT=5", null, null));
        list.Add(new ScheduleAppointmentsObjData(111, "Close Encounters", "chn", "04/30/2014 02:00:00 PM", "04/30/2014 03:00:00 PM", "", "5", "", true, "", "", "", "", false, "", "", "FREQ=WEEKLY;BYDAY=MO,TH;INTERVAL=1;COUNT=5", null, null));
        list.Add(new ScheduleAppointmentsObjData(112, "Close Encounters", "mum", "04/30/2014 03:00:00 AM", "04/30/2014 03:30:00 AM", "", "1", "", true, "", "", "", "", false, "", "", "FREQ=WEEKLY;BYDAY=WE;INTERVAL=1;COUNT=3", null, null));
        list.Add(new ScheduleAppointmentsObjData(113, "Highway Thru Hell", "chn", "05/01/2014 03:00:00 AM", "05/01/2014 07:00:00 AM", "", "3", "", true, "", "", "", "", false, "", "", "FREQ=DAILY;INTERVAL=2;COUNT=10", null, null));
        list.Add(new ScheduleAppointmentsObjData(114, "Moon Shiners", "chn", "05/02/2014 04:20:00 AM", "05/02/2014 05:50:00 AM", "", "5", "", false, "", "", "", "", false, "", "", "", null, null));
        list.Add(new ScheduleAppointmentsObjData(115, "Cash Cab", "chn", "04/30/2014 03:00:00 PM", "04/30/2014 04:30:00 PM", "", "1", "", true, "", "", "", "", false, "", "", "FREQ=DAILY;INTERVAL=1;COUNT=5", null, null));
        return list;

    }

}

[Serializable]
public class ScheduleAppointmentsObjData
{
    private int _id;
    private String _subject;
    private String _location;
    private String _startTime;
    private String _endTime;
    private String _description;
    private String _owner;
    private String _priority;
    private Boolean _recurrence;
    private String _recurrenceType;
    private String _recurrenceTypeCount;
    private String _remainderCategorize;
    private String _customStyle;
    private Boolean _allDay;
    private String _recurrenceStartDate;
    private String _recurrenceEndDate;
    private String _recurrenceRule;
    private String _startTimeZone;
    private String _endTimeZone;

    public ScheduleAppointmentsObjData()
    {
        
    }
    public ScheduleAppointmentsObjData(int _id, string _subject, string _location, string _startTime, string _endTime, string _description, string _owner, string _priority, bool _recurrence, string _recurrenceType, string _recurrenceTypeCount, string _remainderCategorize, string _customStyle, bool _allDay, string _recurrenceStartDate, string _recurrenceEndDate, string _recurrenceRule,string _startTimeZone,string _endTimeZone)
    {
        this._id = _id;
        this._subject = _subject;
        this._location = _location;
        this._startTime = _startTime;
        this._endTime = _endTime;
        this._description = _description;
        this._owner = _owner;
        this._priority = _priority;
        this._recurrence = _recurrence; ;
        this._recurrenceType = _recurrenceType;
        this._recurrenceTypeCount = _recurrenceTypeCount;
        this._remainderCategorize = _remainderCategorize;
        this._customStyle = _customStyle;
        this._allDay = _allDay;
        this._recurrenceStartDate = _recurrenceStartDate;
        this._recurrenceEndDate = _recurrenceEndDate;
        this._recurrenceRule = _recurrenceRule;
        this._startTimeZone = _startTimeZone;
        this._endTimeZone = _endTimeZone;
       
    }

    public int ID
    {
        get
        {
            return _id;
        }
        set
        {
            _id = value;
        }
    }

    public string Subject
    {
        get
        {
            return _subject;
        }
        set
        {
            _subject = value;
        }
    }
    public string Location
    {
        get
        {
            return _location;
        }
        set
        {
            _location = value;
        }
    }
    public string StartTime
    {
        get
        {
            return _startTime;
        }
        set
        {
            _startTime = value;
        }
    }
    public string EndTime
    {
        get
        {
            return _endTime;
        }
        set
        {
            _endTime = value;
        }
    }
    public string Description
    {
        get
        {
            return _description;
        }
        set
        {
            _description = value;
        }
    }
    public string Owner
    {
        get
        {
            return _owner;
        }
        set
        {
            _owner = value;
        }
    }
    public string Priority
    {
        get
        {
            return _priority;
        }
        set
        {
            _priority = value;
        }
    }
    public Boolean Recurrence
    {
        get
        {
            return _recurrence;
        }
        set
        {
            _recurrence = value;
        }
    }
    public string RecurrenceType
    {
        get
        {
            return _recurrenceType;
        }
        set
        {
            _recurrenceType = value;
        }
    }
    public string RecurrenceTypeCount
    {
        get
        {
            return _recurrenceTypeCount;
        }
        set
        {
            _recurrenceTypeCount = value;
        }
    }
    public string RemainderCategorize
    {
        get
        {
            return _remainderCategorize;
        }
        set
        {
            _remainderCategorize = value;
        }
    }
    public string CustomStyle
    {
        get
        {
            return _customStyle;
        }
        set
        {
            _customStyle = value;
        }
    }
    public Boolean AllDay
    {
        get
        {
            return _allDay;
        }
        set
        {
            _allDay = value;
        }
    }
    public string RecurrenceStartDate
    {
        get
        {
            return _recurrenceStartDate;
        }
        set
        {
            _recurrenceStartDate = value;
        }
    }
    public string RecurrenceEndDate
    {
        get
        {
            return _recurrenceEndDate;
        }
        set
        {
            _recurrenceEndDate = value;
        }
    }
    public string RecurrenceRule
    {
        get
        {
            return _recurrenceRule;
        }
        set
        {
            _recurrenceRule = value;
        }
    }
    public string StartTimeZone
    {
        get
        {
            return _startTimeZone;
        }
        set
        {
            _startTimeZone = value;
        }
    }
    public string EndTimeZone
    {
        get
        {
            return _endTimeZone;
        }
        set
        {
            _endTimeZone = value;
        }
    }
}